Bug 177166 - Review Request: perl-Compress-Bzip2 - Interface to Bzip2 compression library
Review Request: perl-Compress-Bzip2 - Interface to Bzip2 compression library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-06 15:25 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-18 11:10:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-01-06 15:25:19 EST
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Compress-Bzip2.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Compress-Bzip2-2.09-1.src.rpm

Description:
The Compress::Bzip2 module provides a Perl interface to the Bzip2
compression library.  A relevant subset of the functionality provided
by Bzip2 is available in Compress::Bzip2.

All string parameters can either be a scalar or a scalar reference.

The module can be split into two general areas of functionality,
namely in-memory compression/decompression and read/write access
to bzip2 files.
Comment 1 Ville Skyttä 2006-01-07 17:29:11 EST
Approved, with a few notes for consideration:

- Trim down %description, the first paragraph should be fine.
- Make sure that the bundled bzip2 source will never be used, by
  rm -rf'ing bzlib-src in %prep or something like that.
- Include ANNOUNCE in %docs
Comment 2 Jose Pedro Oliveira 2006-01-09 11:28:17 EST
(In reply to comment #1)
> Approved, with a few notes for consideration:
> 
> - Trim down %description, the first paragraph should be fine.

Done.

> - Make sure that the bundled bzip2 source will never be used, by
>   rm -rf'ing bzlib-src in %prep or something like that.

Just removing the bundled bzip2 source directory causes too many
problems: missing files in manisfest list (W) and test failures (E).
Will look into it tonight or tomorrow.

> - Include ANNOUNCE in %docs

Done.
Comment 3 Ville Skyttä 2006-02-17 17:47:19 EST
This package has been in the repo for some time now.  Is this report being kept
open intentionally?
Comment 4 Jose Pedro Oliveira 2006-02-18 11:10:08 EST
Ville,

I kept it opened in order to remember to look into the second item of your list
in comment #1 (just added a item in my FE task list).

Closing ticket.

jpo

Note You need to log in before you can comment on or make changes to this bug.